### Function

# GObject type_next_base

#### Declaration

    GType
    g_type_next_base (
      GType leaf_type,
      GType root_type
    )

#### Description

Given a `leaf_type` and a `root_type` which is contained in its ancestry, return the type that `root_type` is the immediate parent of. In other words, this function determines the type that is derived directly from `root_type` which is also a base class of `leaf_type`. Given a root type and a leaf type, this function can be used to determine the types and order in which the leaf type is descended from the root type.

#### Parameters

`leaf_type`

  Type: `GType`

  Descendant of `root_type` and the type to be returned.

`root_type`

  Type: `GType`

  Immediate parent of the returned type.

#### Return value

Type: `GType`

Immediate child of `root_type` and ancestor of `leaf_type`.